org.apache.ignite.internal.processors.cache.distributed.dht.colocated

## Class GridDhtColocatedCacheEntry

- java.lang.Object
- - org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter
  - - org.apache.ignite.internal.processors.cache.GridCacheMapEntry
    - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry
      - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry
        - - org.apache.ignite.internal.processors.cache.distributed.dht.colocated.GridDhtColocatedCacheEntry

All Implemented Interfaces:
  GridCacheEntryEx

    public class GridDhtColocatedCacheEntry
    extends GridDhtCacheEntry

Cache entry for colocated cache.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter

`GridMetadataAwareAdapter.EntryKey`

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`ATOMIC_VER_COMPARATOR, cctx, flags, key, log, logRef, startVer, val, ver`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtColocatedCacheEntry(GridCacheContext ctx, AffinityTopologyVersion topVer, KeyCacheObject key, int hash, CacheObject val)`

### Method Summary

Methods
`protected String` `cacheName()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtCacheEntry

`addReader, checkReaders, checkReadersLocked, clearInternal, clearReader, clearReaders, decrementMapPublicSize, hasReaders, incrementMapPublicSize, isDht, localPartition, mappings, memorySize, nextPartCounter, onMarkedObsolete, onUnlock, onUpdateFinished, partition, partitionValid, readerId, readers, removeLock, removeLock, removeMapping, removeReader, tmLock, versionedValue`

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedCacheEntry

`addLocal, addRemote, addRemoved, checkCallbacks, checkRemoved, checkThreadChain, doneRemote, readyLock, readyNearLock, recheck, remoteMvccSnapshot, removeExplicitNodeLocks, txUnlock`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMapEntry

`candidate, candidate, checkObsolete, checkOwnerChanged, checkSerializableReadVersion, clear, clearReserveForLoad, context, deleted, deletedUnlocked, deletedUnlocked, detached, equals, evictInternal, evictionDisabled, expireTime, expireTimeExtras, expireTimeUnlocked, hashCode, hasLockCandidate, hasLockCandidate, hasLockCandidateUnsafe, hasValue, hasValueUnlocked, info, initialValue, innerGet, innerGetAndReserveForLoad, innerGetVersioned, innerReload, innerRemove, innerSet, innerUpdate, innerUpdateLocal, invalidate, invalidate, isInternal, isLocal, isNear, isNew, isNewLocked, isReplicated, isStartVersion, key, keyValue, localCandidate, localCandidates, localOwner, lockedBy, lockedByAny, lockedByThread, lockedByThread, lockedByThread, lockedByThreadUnsafe, lockedByUnsafe, lockedLocally, lockedLocallyByIdOrThread, lockedLocallyUnsafe, logUpdate, markObsolete, markObsolete0, markObsoleteIfEmpty, markObsoleteVersion, mvccAllLocal, mvccExtras, mvccExtras, obsolete, obsolete, obsoleteOrDeleted, obsoleteVersion, obsoleteVersionExtras, onInvalidate, onTtlExpired, peek, peek, peekVisibleValue, rawExpireTime, rawGet, rawPut, rawTtl, readThrough, recordNodeId, removeValue, startVersion, storeValue, ttl, ttlAndExpireTimeExtras, ttlExtras, txKey, unswap, unswap, unswap, update, updateIndex, updateTtl, valid, value, valueBytes, valueBytes, valueBytes0, version, versionedEntry, versionedValue, visitable, wrap, wrapEviction, wrapLazyValue, wrapVersioned`

### Methods inherited from class org.apache.ignite.internal.util.lang.GridMetadataAwareAdapter

`addMeta, addMetaIfAbsent, addMetaIfAbsent, allMeta, clone, copyMeta, copyMeta, hasMeta, hasMeta, meta, putMetaIfAbsent, readExternalMeta, removeAllMeta, removeMeta, removeMeta, replaceMeta, writeExternalMeta`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.GridCacheEntryEx

`addMeta, hasMeta, meta, putMetaIfAbsent, removeMeta, removeMeta, replaceMeta`

### Constructor Detail

#### GridDhtColocatedCacheEntry

    public GridDhtColocatedCacheEntry(GridCacheContext ctx,
                              AffinityTopologyVersion topVer,
                              KeyCacheObject key,
                              int hash,
                              CacheObject val)

Parameters:
  `ctx` - Cache context.
  `topVer` - Topology version at the time of creation (if negative, then latest topology is assumed).
  `key` - Cache key.
  `hash` - Key hash value.
  `val` - Entry value.

### Method Detail

#### cacheName

    protected String cacheName()

Overrides:
  `cacheName` in class `GridDhtCacheEntry`
Returns:
  Cache name.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDhtCacheEntry`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017